Security Enhanced Linux Reference Policy

# Layer: apps

## Module: livecd

Interfaces

### Description:

Tool for building alternate livecd for different os and policy versions.

### Interfaces:

livecd_domtrans( domain )

##### Summary

Execute a domain transition to run livecd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

livecd_read_tmp_files( domain )

##### Summary

Read livecd temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

livecd_run( domain , role )

##### Summary

Execute livecd in the livecd domain, and allow the specified role the livecd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

livecd_rw_semaphores( domain )

##### Summary

Read and write livecd semaphores.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

livecd_rw_tmp_files( domain )

##### Summary

Read and write livecd temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return